Currently, Glims works with Safari 3.0.4 (4525.18) and up.

Tested with Maverick/Safari 7 and Safari 6.1 .

Maverick and Safari 6.1 Users
Please update to our latest version Glims Version 1.0.41 .

If you wish to uninstall Glims, you can use our uninstaller (

Glims is a Safari PlugIn. Basically it is our pet project. We do it during our free time. Hope you enjoy it as much as we do.

We are just a bunch of kids having fun. Please don't take us too seriously.